Bug 446662 - /usr/share/fpki/ra/conf path refered to in CS.cfg doesn't exist
/usr/share/fpki/ra/conf path refered to in CS.cfg doesn't exist
Status: CLOSED ERRATA
Product: Dogtag Certificate System
Classification: Community
Component: RA (Show other bugs)
1.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Matthew Harmsen
Chandrasekar Kannan
:
Depends On:
Blocks: 472705 443788
  Show dependency treegraph
 
Reported: 2008-05-15 11:55 EDT by Aleksander Adamowski
Modified: 2015-01-05 20:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 19:28:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Changed "fpki"-->"pki" everywhere, and "tps"-->"ra" where appropriate (11.41 KB, text/plain)
2008-11-23 16:52 EST, Matthew Harmsen
no flags Details

  None (edit)
Description Aleksander Adamowski 2008-05-15 11:55:10 EDT
Description of problem:

In the default /etc/pki-ra/CS.cfg file, there are lots of templateDir properties
that point to /usr/share/fpki/ra/conf directory that should contain
mail_approve_request.vm and mail_create_request.vm.

However, in Dogtag, this directory is actually named /usr/share/pki/ra/conf.

Also, the /var/lib/pki-ra/docroot/css/pki-360.css CSS file refers to a
non-existing file (/var/lib/pki-ra/docroot/img/bkgrnd_greydots.png).

Similarly other CSS files.
Comment 1 Matthew Harmsen 2008-11-23 16:52:39 EST
Created attachment 324446 [details]
Changed "fpki"-->"pki" everywhere, and "tps"-->"ra" where appropriate
Comment 2 Jack Magne 2008-11-23 16:59:18 EST
Attachment (id=324446) +jmagne.
Comment 3 Matthew Harmsen 2008-11-23 17:02:54 EST
svn status

M      linux/ra/pki-ra.spec
M      linux/tps/pki-tps.spec
M      base/ra/setup/postinstall
M      base/ra/doc/CS.cfg
M      base/ra/lib/perl/PKI/RA/AdminPanel.pm
M      base/ra/lib/perl/PKI/RA/Login.pm
M      base/ra/lib/perl/PKI/RA/CertInfo.pm
M      base/ra/lib/perl/PKI/RA/ReqCertInfo.pm
M      base/tps/src/processor/RA_Enroll_Processor.cpp
M      base/tps/lib/perl/PKI/TPS/ReqCertInfo.pm

svn commit

Sending        base/ra/doc/CS.cfg
Sending        base/ra/lib/perl/PKI/RA/AdminPanel.pm
Sending        base/ra/lib/perl/PKI/RA/CertInfo.pm
Sending        base/ra/lib/perl/PKI/RA/Login.pm
Sending        base/ra/lib/perl/PKI/RA/ReqCertInfo.pm
Sending        base/ra/setup/postinstall
Sending        base/tps/lib/perl/PKI/TPS/ReqCertInfo.pm
Sending        base/tps/src/processor/RA_Enroll_Processor.cpp
Sending        linux/ra/pki-ra.spec
Sending        linux/tps/pki-tps.spec
Transmitting file data ..........
Committed revision 144.
Comment 4 Matthew Harmsen 2008-11-23 17:04:21 EST
While the title of this bug has been addressed, there are still missing ".png" files from the various CSS files.  Cloning this bug to address this issue separately, and closing this bug.
Comment 5 Kashyap Chamarthy 2009-06-13 12:11:11 EDT
Verified.

Matt, can you please mention the cloned-bug to verify it too.
Comment 6 Chandrasekar Kannan 2009-06-13 12:42:31 EDT
I believe it is https://bugzilla.redhat.com/show_bug.cgi?id=472705

Note You need to log in before you can comment on or make changes to this bug.